Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.binding.meta
Class EmptyDefinitionContainer

`java.lang.Object
oracle.binding.meta.EmptyDefinitionContainer`

All Implemented Interfaces:
  DefinitionContainer

public final class EmptyDefinitionContainer
extends java.lang.Object
implements DefinitionContainer

An implementation class of DefinitionContainer to represent an empty collection of Definition.

Method Summary
`Definition` | `find(java.lang.String definitionId)` Find a Definition with the given id.
`static DefinitionContainer` | `getInstance()` Obtain the singleton EmptyDefinitionContainer instance.
`boolean` | `isEmpty()` Return true if the container is empty.
`java.util.Iterator` | `iterator()` Obtain an iterator for looping through each of the Definitions contained in this DefinitionContainer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static DefinitionContainer getInstance()

  Obtain the singleton EmptyDefinitionContainer instance.
  Returns:
    The one and only EmptyDefinitionContainer instance.

### find

    public Definition find(java.lang.String definitionId)

  Find a Definition with the given id.
  Specified by:
    `find` in interface `DefinitionContainer`
  Parameters:
    `definitionId` - Identifier of the Definition that we want to find.
  Returns:
    The Definition object with the given identifier. This method always null.

### iterator

    public java.util.Iterator iterator()

  Obtain an iterator for looping through each of the Definitions contained in this DefinitionContainer.
  Specified by:
    `iterator` in interface `DefinitionContainer`
  Returns:
    An Iterator of Definition instances that are stored in this DefinitionContainer. The Iterator returns from this method contains no element.

### isEmpty

    public boolean isEmpty()

  Return true if the container is empty.
  Specified by:
    `isEmpty` in interface `DefinitionContainer`
  Returns:
    Always return true since this is an empty container.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.